Package ru.bgcrm.plugin.bgbilling.proto.dao

# Class NPayDAO

java.lang.Object
ru.bgcrm.plugin.bgbilling.dao.BillingDAO
ru.bgcrm.plugin.bgbilling.proto.dao.BillingModuleDAO
ru.bgcrm.plugin.bgbilling.proto.dao.NPayDAO

public class NPayDAO extends BillingModuleDAO

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.proto.dao.BillingModuleDAO

  `moduleId`

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `dbInfo, jsonMapper, jsonTypeFactory, transferData, user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NPayDAO(User user, String billingId, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteService(int contractId, int id)`
  Удаляет абонплату договора.
  `NPayService`
  `getService(int id)`
  Возвращает абонплату договора по коду записи.
  `List<NPayService>`
  `getServiceList(int contractId)`
  Возвращает список абонплат договора.
  `void`
  `updateService(NPayService service)`
  Изменяет либо добавляет абонплату договора.

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.proto.dao.BillingModuleDAO

  `getModuleId, setModuleId`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `doRequest, getDbInfo, getPage, getParameterId, getVersion, linesToString, readJsonValue, setPage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NPayDAO

    public NPayDAO(User user, String billingId, int moduleId)

- ## Method Details

  - ### getServiceList

    public List<NPayService> getServiceList(int contractId)
    Возвращает список абонплат договора.
    Parameters:
      `contractId` -
    Returns:

  - ### getService

    public NPayService getService(int id)
    Возвращает абонплату договора по коду записи.
    Parameters:
      `id` -
    Returns:

  - ### updateService

    public void updateService(NPayService service)
    Изменяет либо добавляет абонплату договора.
    Parameters:
      `service` -

  - ### deleteService

    public void deleteService(int contractId, int id)
    Удаляет абонплату договора.
    Parameters:
      `contractId` -
      `id` -